inChurch
inChurch API

People

Endpoint:https://inradar.com.br/public

List People

GET
https://inradar.com.br/public
/v1/people/

Get a list of people based on the user's access level.

List Peoplequery Parameters

  • church_idinteger[] · style: form · explode: true
  • created_at_afterstring · date-time
  • created_at_beforestring · date-time
  • is_leaderboolean
  • is_pastorboolean
  • limitinteger

    Number of results to return per page.

  • offsetinteger

    The initial index from which to return the results.

  • searchstring

    A search term.

  • updated_at_afterstring · date-time
  • updated_at_beforestring · date-time

List PeopleHeaders

  • Authorizationstring · required

    HTTP Basic. SEND: Basic base64(api_key:api_secret)

List PeopleResponses

  • countinteger · required
    Example: 123
  • resultsobject[] · required
  • nextstring | null · uri
    Example: http://api.example.org/accounts/?offset=400&limit=100
  • previousstring | null · uri
    Example: http://api.example.org/accounts/?offset=200&limit=100

Create a Person

POST
https://inradar.com.br/public
/v1/people/

Create a new person record.

Create a PersonHeaders

  • Authorizationstring · required

    HTTP Basic. SEND: Basic base64(api_key:api_secret)

  • Content-Typestring · enum · required
    Enum values:
    application/json

Create a PersonRequest Body

  • full_namestring · minLength: 1 · maxLength: 255
  • genderstring | null · enum
    • male - Male
    • female - Female
    Enum values:
    male
    female
  • church_idinteger | null · writeOnly
  • statusstring | null · enum
    • pending - Pending
    • approved - Approved
    • refused - Refused
    Enum values:
    pending
    approved
    refused
  • photostring
  • is_pastorboolean
  • is_leaderboolean
  • leadership_datestring | null · date
  • accepted_jesusboolean
  • decision_contextstring | null · minLength: 1
  • decision_datestring | null · date
  • birthdaystring | null · date
  • cpfstring | null · maxLength: 11
  • rgstring | null · maxLength: 14
  • rg_statestring | null · minLength: 1
  • church_profilestring | null · enum
    • visitor - Visitor
    • frequent - Frequent
    • member - Member
    Enum values:
    visitor
    frequent
    member
  • location_typestring | null · enum · writeOnly
    • national - national
    • international - international
    Enum values:
    national
    international
  • locationobject | null · writeOnly
  • baptizedboolean | null
  • baptism_datestring | null · date
  • baptism_typestring | null · enum
    • immersion - Immersion
    • aspersion - Aspersion
    Enum values:
    immersion
    aspersion
  • marital_statusstring | null · minLength: 1
  • marriage_datestring | null · date
  • emailstring | null · email · maxLength: 254
  • phonestring | null · maxLength: 24
  • mobile_phonestring | null · minLength: 1
  • has_whatsappboolean
  • membership_numberinteger | null
  • has_special_needsboolean
  • special_needs_detailsstring | null · minLength: 1
  • id_documentstring | null · minLength: 1
  • document_countrystring | null · minLength: 1
  • document_issuerstring | null · maxLength: 255
  • joining_reasonstring | null · minLength: 1
  • previous_churchstring | null · minLength: 1
  • education_levelstring | null · minLength: 1
  • occupationstring | null · maxLength: 100
  • membership_typestring | null · minLength: 1
  • visit_reasonstring | null · minLength: 1
  • blood_typestring | null · enum
    • o- - O-
    • o+ - O+
    • a- - A-
    • a+ - A+
    • b- - B-
    • b+ - B+
    • ab- - AB-
    • ab+ - AB+
    Enum values:
    o-
    o+
    a-
    a+
    b-
    b+
    ab-
    ab+
  • nationalitystring | null · maxLength: 100
  • birth_statestring | null · minLength: 1
  • birth_placestring | null · minLength: 1
  • death_datestring | null · date
  • membership_start_datestring | null · date
  • first_visit_datestring | null · date
  • is_activeboolean
  • inactive_reasonstring | null · enum
    • transference - Transference
    • death - Death
    • withdrawal - Withdrawal
    • exclusion - Exclusion
    • no_contact - No contact
    • other - Other
    Enum values:
    transference
    death
    withdrawal
    exclusion
    no_contact
    other
  • inactive_reason_detailsstring | null · minLength: 1
  • inactive_datestring | null · date

Create a PersonResponses

  • idinteger · readOnly · required
  • created_atstring · date-time · readOnly · required
  • updated_atstring · date-time · readOnly · required
  • churchreadOnly · required
  • profile_change_datestring · date · readOnly · required
  • rolesobject[] · readOnly · required
  • full_namestring · maxLength: 255
  • genderstring | null · enum
    • male - Male
    • female - Female
    Enum values:
    male
    female
  • statusstring | null · enum
    • pending - Pending
    • approved - Approved
    • refused - Refused
    Enum values:
    pending
    approved
    refused
  • photostring · uri
  • is_pastorboolean
  • is_leaderboolean
  • leadership_datestring | null · date
  • accepted_jesusboolean
  • decision_contextstring | null
  • decision_datestring | null · date
  • birthdaystring | null · date
  • cpfstring | null · maxLength: 11
  • rgstring | null · maxLength: 14
  • rg_statestring | null
  • church_profilestring | null · enum
    • visitor - Visitor
    • frequent - Frequent
    • member - Member
    Enum values:
    visitor
    frequent
    member
  • baptizedboolean | null
  • baptism_datestring | null · date
  • baptism_typestring | null · enum
    • immersion - Immersion
    • aspersion - Aspersion
    Enum values:
    immersion
    aspersion
  • marital_statusstring | null
  • marriage_datestring | null · date
  • emailstring | null · email · maxLength: 254
  • phonestring | null · maxLength: 24
  • mobile_phonestring | null
  • has_whatsappboolean
  • membership_numberinteger | null
  • has_special_needsboolean
  • special_needs_detailsstring | null
  • id_documentstring | null
  • document_countrystring | null
  • document_issuerstring | null · maxLength: 255
  • joining_reasonstring | null
  • previous_churchstring | null
  • education_levelstring | null
  • occupationstring | null · maxLength: 100
  • membership_typestring | null
  • visit_reasonstring | null
  • blood_typestring | null · enum
    • o- - O-
    • o+ - O+
    • a- - A-
    • a+ - A+
    • b- - B-
    • b+ - B+
    • ab- - AB-
    • ab+ - AB+
    Enum values:
    o-
    o+
    a-
    a+
    b-
    b+
    ab-
    ab+
  • nationalitystring | null · maxLength: 100
  • birth_statestring | null
  • birth_placestring | null
  • death_datestring | null · date
  • membership_start_datestring | null · date
  • first_visit_datestring | null · date
  • is_activeboolean
  • inactive_reasonstring | null · enum
    • transference - Transference
    • death - Death
    • withdrawal - Withdrawal
    • exclusion - Exclusion
    • no_contact - No contact
    • other - Other
    Enum values:
    transference
    death
    withdrawal
    exclusion
    no_contact
    other
  • inactive_reason_detailsstring | null
  • inactive_datestring | null · date

Retrieve a Person

GET
https://inradar.com.br/public
/v1/people/{id}/

Get detailed information about a specific person.

Retrieve a Personpath Parameters

  • idinteger · required

    A unique integer value identifying this member.

Retrieve a PersonHeaders

  • Authorizationstring · required

    HTTP Basic. SEND: Basic base64(api_key:api_secret)

Retrieve a PersonResponses

  • idinteger · readOnly · required
  • created_atstring · date-time · readOnly · required
  • updated_atstring · date-time · readOnly · required
  • churchreadOnly · required
  • profile_change_datestring · date · readOnly · required
  • rolesobject[] · readOnly · required
  • full_namestring · maxLength: 255
  • genderstring | null · enum
    • male - Male
    • female - Female
    Enum values:
    male
    female
  • statusstring | null · enum
    • pending - Pending
    • approved - Approved
    • refused - Refused
    Enum values:
    pending
    approved
    refused
  • photostring · uri
  • is_pastorboolean
  • is_leaderboolean
  • leadership_datestring | null · date
  • accepted_jesusboolean
  • decision_contextstring | null
  • decision_datestring | null · date
  • birthdaystring | null · date
  • cpfstring | null · maxLength: 11
  • rgstring | null · maxLength: 14
  • rg_statestring | null
  • church_profilestring | null · enum
    • visitor - Visitor
    • frequent - Frequent
    • member - Member
    Enum values:
    visitor
    frequent
    member
  • baptizedboolean | null
  • baptism_datestring | null · date
  • baptism_typestring | null · enum
    • immersion - Immersion
    • aspersion - Aspersion
    Enum values:
    immersion
    aspersion
  • marital_statusstring | null
  • marriage_datestring | null · date
  • emailstring | null · email · maxLength: 254
  • phonestring | null · maxLength: 24
  • mobile_phonestring | null
  • has_whatsappboolean
  • membership_numberinteger | null
  • has_special_needsboolean
  • special_needs_detailsstring | null
  • id_documentstring | null
  • document_countrystring | null
  • document_issuerstring | null · maxLength: 255
  • joining_reasonstring | null
  • previous_churchstring | null
  • education_levelstring | null
  • occupationstring | null · maxLength: 100
  • membership_typestring | null
  • visit_reasonstring | null
  • blood_typestring | null · enum
    • o- - O-
    • o+ - O+
    • a- - A-
    • a+ - A+
    • b- - B-
    • b+ - B+
    • ab- - AB-
    • ab+ - AB+
    Enum values:
    o-
    o+
    a-
    a+
    b-
    b+
    ab-
    ab+
  • nationalitystring | null · maxLength: 100
  • birth_statestring | null
  • birth_placestring | null
  • death_datestring | null · date
  • membership_start_datestring | null · date
  • first_visit_datestring | null · date
  • is_activeboolean
  • inactive_reasonstring | null · enum
    • transference - Transference
    • death - Death
    • withdrawal - Withdrawal
    • exclusion - Exclusion
    • no_contact - No contact
    • other - Other
    Enum values:
    transference
    death
    withdrawal
    exclusion
    no_contact
    other
  • inactive_reason_detailsstring | null
  • inactive_datestring | null · date

Delete a People

DELETE
https://inradar.com.br/public
/v1/people/{id}/

Delete an existing person record.

Delete a Peoplepath Parameters

  • idinteger · required

    A unique integer value identifying this member.

Delete a PeopleHeaders

  • Authorizationstring · required

    HTTP Basic. SEND: Basic base64(api_key:api_secret)

Delete a PeopleResponses

No response body

No data returned

Update a Person

PATCH
https://inradar.com.br/public
/v1/people/{id}/

Update an existing person record.

Update a Personpath Parameters

  • idinteger · required

    A unique integer value identifying this member.

Update a PersonHeaders

  • Authorizationstring · required

    HTTP Basic. SEND: Basic base64(api_key:api_secret)

  • Content-Typestring · enum · required
    Enum values:
    application/json

Update a PersonRequest Body

  • full_namestring · minLength: 1 · maxLength: 255
  • genderstring | null · enum
    • male - Male
    • female - Female
    Enum values:
    male
    female
  • church_idinteger | null · writeOnly
  • statusstring | null · enum
    • pending - Pending
    • approved - Approved
    • refused - Refused
    Enum values:
    pending
    approved
    refused
  • photostring
  • is_pastorboolean
  • is_leaderboolean
  • leadership_datestring | null · date
  • accepted_jesusboolean
  • decision_contextstring | null · minLength: 1
  • decision_datestring | null · date
  • birthdaystring | null · date
  • cpfstring | null · maxLength: 11
  • rgstring | null · maxLength: 14
  • rg_statestring | null · minLength: 1
  • church_profilestring | null · enum
    • visitor - Visitor
    • frequent - Frequent
    • member - Member
    Enum values:
    visitor
    frequent
    member
  • location_typestring | null · enum · writeOnly
    • national - national
    • international - international
    Enum values:
    national
    international
  • locationobject | null · writeOnly
  • baptizedboolean | null
  • baptism_datestring | null · date
  • baptism_typestring | null · enum
    • immersion - Immersion
    • aspersion - Aspersion
    Enum values:
    immersion
    aspersion
  • marital_statusstring | null · minLength: 1
  • marriage_datestring | null · date
  • emailstring | null · email · maxLength: 254
  • phonestring | null · maxLength: 24
  • mobile_phonestring | null · minLength: 1
  • has_whatsappboolean
  • membership_numberinteger | null
  • has_special_needsboolean
  • special_needs_detailsstring | null · minLength: 1
  • id_documentstring | null · minLength: 1
  • document_countrystring | null · minLength: 1
  • document_issuerstring | null · maxLength: 255
  • joining_reasonstring | null · minLength: 1
  • previous_churchstring | null · minLength: 1
  • education_levelstring | null · minLength: 1
  • occupationstring | null · maxLength: 100
  • membership_typestring | null · minLength: 1
  • visit_reasonstring | null · minLength: 1
  • blood_typestring | null · enum
    • o- - O-
    • o+ - O+
    • a- - A-
    • a+ - A+
    • b- - B-
    • b+ - B+
    • ab- - AB-
    • ab+ - AB+
    Enum values:
    o-
    o+
    a-
    a+
    b-
    b+
    ab-
    ab+
  • nationalitystring | null · maxLength: 100
  • birth_statestring | null · minLength: 1
  • birth_placestring | null · minLength: 1
  • death_datestring | null · date
  • membership_start_datestring | null · date
  • first_visit_datestring | null · date
  • is_activeboolean
  • inactive_reasonstring | null · enum
    • transference - Transference
    • death - Death
    • withdrawal - Withdrawal
    • exclusion - Exclusion
    • no_contact - No contact
    • other - Other
    Enum values:
    transference
    death
    withdrawal
    exclusion
    no_contact
    other
  • inactive_reason_detailsstring | null · minLength: 1
  • inactive_datestring | null · date

Update a PersonResponses

  • idinteger · readOnly · required
  • created_atstring · date-time · readOnly · required
  • updated_atstring · date-time · readOnly · required
  • churchreadOnly · required
  • profile_change_datestring · date · readOnly · required
  • rolesobject[] · readOnly · required
  • full_namestring · maxLength: 255
  • genderstring | null · enum
    • male - Male
    • female - Female
    Enum values:
    male
    female
  • statusstring | null · enum
    • pending - Pending
    • approved - Approved
    • refused - Refused
    Enum values:
    pending
    approved
    refused
  • photostring · uri
  • is_pastorboolean
  • is_leaderboolean
  • leadership_datestring | null · date
  • accepted_jesusboolean
  • decision_contextstring | null
  • decision_datestring | null · date
  • birthdaystring | null · date
  • cpfstring | null · maxLength: 11
  • rgstring | null · maxLength: 14
  • rg_statestring | null
  • church_profilestring | null · enum
    • visitor - Visitor
    • frequent - Frequent
    • member - Member
    Enum values:
    visitor
    frequent
    member
  • baptizedboolean | null
  • baptism_datestring | null · date
  • baptism_typestring | null · enum
    • immersion - Immersion
    • aspersion - Aspersion
    Enum values:
    immersion
    aspersion
  • marital_statusstring | null
  • marriage_datestring | null · date
  • emailstring | null · email · maxLength: 254
  • phonestring | null · maxLength: 24
  • mobile_phonestring | null
  • has_whatsappboolean
  • membership_numberinteger | null
  • has_special_needsboolean
  • special_needs_detailsstring | null
  • id_documentstring | null
  • document_countrystring | null
  • document_issuerstring | null · maxLength: 255
  • joining_reasonstring | null
  • previous_churchstring | null
  • education_levelstring | null
  • occupationstring | null · maxLength: 100
  • membership_typestring | null
  • visit_reasonstring | null
  • blood_typestring | null · enum
    • o- - O-
    • o+ - O+
    • a- - A-
    • a+ - A+
    • b- - B-
    • b+ - B+
    • ab- - AB-
    • ab+ - AB+
    Enum values:
    o-
    o+
    a-
    a+
    b-
    b+
    ab-
    ab+
  • nationalitystring | null · maxLength: 100
  • birth_statestring | null
  • birth_placestring | null
  • death_datestring | null · date
  • membership_start_datestring | null · date
  • first_visit_datestring | null · date
  • is_activeboolean
  • inactive_reasonstring | null · enum
    • transference - Transference
    • death - Death
    • withdrawal - Withdrawal
    • exclusion - Exclusion
    • no_contact - No contact
    • other - Other
    Enum values:
    transference
    death
    withdrawal
    exclusion
    no_contact
    other
  • inactive_reason_detailsstring | null
  • inactive_datestring | null · date